%global git_tag e4610b6aeba2c1f312310c82c97ffff56b35307b
%global git_short_tag e4610b6
Name:           eclipse-e4-importer
Version:        0.1.0
Release:        0.5.git%{git_short_tag}%{?dist}
Summary:        Eclipse Importer plug-in
License:        EPL
URL:            https://www.eclipse.org/e4/

Source0:       http://git.eclipse.org/c/e4/org.eclipse.e4.ui.git/snapshot/org.eclipse.e4.ui-%{git_tag}.tar.gz


BuildArch:      noarch


BuildRequires: tycho
BuildRequires: tycho-extras
BuildRequires: eclipse-pde
BuildRequires: eclipse-license

Requires:         jsch
Requires:         eclipse-platform >= 1:4.3.2

%description
This plugin provides UI entries to enable an alternative import mechanism.

%prep
%setup -q -n org.eclipse.e4.ui-%{git_tag}

find -name *.jar -exec rm -rf {} \;
find -name *.class -exec rm -rf {} \;
%pom_disable_module bundles/org.eclipse.e4.ui.keys.common
%pom_disable_module features/org.eclipse.e4.ui.keys.feature
%pom_disable_module build/org.eclipse.e4.ui.update
%pom_disable_module bundles/org.eclipse.e4.ui.macros
%pom_disable_module bundles/org.eclipse.e4.ui.macros.jdt

%pom_add_plugin org.eclipse.tycho:tycho-maven-plugin pom.xml "<extensions>true</extensions>"
%pom_remove_parent pom.xml

%build
%mvn_build  -j -- -f pom.xml

%install
%mvn_install

%files -f .mfiles
%doc features/org.eclipse.license/epl-v10.html

%changelog
* Tue Sep 29 2015 Sopot Cela <scela@redhat.com> - 0.1.0-0.5.gite4610b6
- Upgrade for Mars.1 release

* Mon Sep 14 2015 Roland Grunberg <rgrunber@redhat.com> - 0.1.0-0.4.git5ac5197
- Rebuild as an Eclipse p2 Droplet.

* Thu Jun 18 2015 Sopot Cela <scela@redhat.com>
- 0.1.0-0.3.git5ac5197
- New sources replace .qualifier with -SNAPSHOT in poms

* Tue Jun 2 2015 Sopot Cela <scela@redhat.com>
- 0.1.0-0.2.gitc0957a7
- Made the description shorter

* Tue Jun 2 2015 Sopot Cela <scela@redhat.com>
- 0.1.0-0.1.gitc0957a7
- Initial packaging
